//
//  BCIDACommonManager.h
//  OneAccess2C_realAuth
//
//  Created by 栗子小西 on 2021/7/19.
//  Copyright © 2021 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface BCIDACommonManager : NSObject
+ (instancetype )sharedInstance ;

-(BCIDACommonManager*)initWithDomain:(NSString*)domain;
-(BCIDACommonManager*)initWithSSLCerVerification:(bool)sslCerVerification;
-(BCIDACommonManager*)initWithClientID:(NSString*)clientID;

//检查domain和sslcertificate和clientid传入不为空
-(BOOL)checkIfCommonInitialVariableEmpty;

-(NSString*)getDomainValue;
-(NSString*)getClientIDValue;
-(BOOL)getSSLCertificateValue;
-(void)setLogEnabled:(BOOL)enable;

@end

NS_ASSUME_NONNULL_END
