//
//  BCControllersManager.h
//  OneAccess2C_realAuth
//
//  Created by 栗子小西 on 2021/2/20.
//  Copyright © 2021 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
//可以继承这个，再多加方法
@interface BCIDAControllersManager : NSObject
@property(nonatomic,strong)NSMutableArray* controllersList;

@property(nonatomic,strong)BCIDALoginVerifyCallBackHandler loginCallBack;//各个包直接是弱依赖，发notification吊起另一个包的页面流程，但是回调统一在最初发起业务的类里面赋值到这个公共页面管理的回调，那么结果生成的时候，直接调用这里的回调，可以回调到最初业务的起始点

+ (BCIDAControllersManager* )sharedInstance;
-(void)addViewControllers:(UIViewController*)fromVC;
-(void)popAViewController:(UIViewController*)fromVC;
-(float)mStatusbarHeight;
-(float)mNavigationbarHeightWithVC:(UIViewController*)vc;
-(float)mTabbarHeightWithVC:(UIViewController*)vc;

-(void)jumpToMainPageWithoutCallBack;
//-(void)jumpToMainPageWithSucess:(BOOL)isSuccess;

//-(void)jumpToMainPageWithSecondaryVerifyResult:(BCSecondaryResults*)results;

@end

NS_ASSUME_NONNULL_END
