//
//  BCIDAHTTPSessionManager.h
//  OneAccess2C_realAuth
//
//  Created by 栗子小西 on 2021/7/20.
//  Copyright © 2021 栗子小西. All rights reserved.
//

#import "BCIDAResponseModel.h"

#import "BCIDAAFURLRequestSerialization.h"
#import "BCIDAAFURLResponseSerialization.h"
#import "BCIDAAFSecurityPolicy.h"

#import "BCIDAAFNetworkReachabilityManager.h"

#import "BCIDAAFURLSessionManager.h"
#import "BCIDAAFHTTPSessionManager.h"

NS_ASSUME_NONNULL_BEGIN



@interface BCIDAHTTPSessionManager : BCIDAAFHTTPSessionManager
/**
 * 单例的网络请求
 *
 */
+ (instancetype)sharedClient;

//// 获取当前的网络状态类型(返回:0-No wifi or cellular(无网络), 1-2G, 2-3G, 3-4G, 4-LTE, 5-wifi)
//+ (int)networkType;
+(BOOL)isConnectionAvailable;

// 网络状态监听，应用当前是否有网络:有返回YES,没有返回NO
+ (void)networkReachableWithBlock:(void(^)(BOOL isReachable))block;



@end

NS_ASSUME_NONNULL_END
