//
//  BCIDAHttpUtilManager.h
//  OneAccess2C_realAuth
//
//  Created by 栗子小西 on 2021/7/26.
//  Copyright © 2021 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BCIDAConstUtils.h"


#import "BCIDAAFURLRequestSerialization.h"
#import "BCIDAAFURLResponseSerialization.h"
#import "BCIDAAFSecurityPolicy.h"

#import "BCIDAAFNetworkReachabilityManager.h"

#import "BCIDAAFURLSessionManager.h"
#import "BCIDAAFHTTPSessionManager.h"




NS_ASSUME_NONNULL_BEGIN

@interface BCIDAHttpUtilManager : NSObject

//+(BOOL)addHeaderCommonDataWithSessionManager:(AFHTTPSessionManager*)manager;
//+(BOOL)addHeaderCommonDataByStateTokenandWithSessionManager:(AFHTTPSessionManager*)manager;

+(NSDictionary*)dataParsingToDictionaryWithDataStr:(NSString*)data;
//http错误打印
+(NSString*)parseHttpErrorMessage:(NSError *)errorMsg;
//当参数要加到body的json中
+(NSMutableURLRequest*)addToRequestBodyWithSessionManager:(BCIDAAFHTTPSessionManager*)manager andWithMethod:(NSString*)method andWithUrl:(NSString*)url andHeadExtraParam:(NSDictionary*)headExtraParam andWithParameterJson:(NSString*)jsonStr;

+(void)getMethodWithSignedHeaderWithUrl:(NSString*)url andWithSessionToken:(NSString*)sessionToken andWithHeadExtraParam:(NSDictionary*)extraParamHead andWithSuccessResponse:(BCIDARequestSuccessBlock) requestSuccessBlock   andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;

+(void)getMethodWithUrl:(NSString*)url andHeadExtraParam:(NSDictionary*)headExtraParam andWithSuccessResponse:(BCIDARequestSuccessBlock) requestSuccessBlock   andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;

+(void)postMethodWithUrl:(NSString*)url andWithParameterAddToBodyJSON:(NSDictionary*)parameter andHeadExtraParam:(NSDictionary*)headExtraParam andWithSuccessResponse:(BCIDARequestSuccessBlock) requestSuccessBlock   andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;
+(void)postMethodWithSignedHeaderWithUrl:(NSString*)url andWithSessionToken:(NSString*)sessionToken andWithHeadExtraParam:(NSDictionary*)extraParamHead ParameterAddToBodyJSON:(NSDictionary*)param andWithSuccessResponse:(BCIDARequestSuccessBlock) requestSuccessBlock   andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;
+(void)rePostFor1005ErrorWithUrl:(NSString*)url andWithParameterAddToBodyJSON:(NSDictionary*)parameter andHeadExtraParam:(NSDictionary*)headExtraParam andWithSuccessResponse:(BCIDARequestSuccessBlock)requestSuccessBlock   andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;


@end
NS_ASSUME_NONNULL_END
