//
//  BCIDAIDTokenManager.h
//  AuthnCenter_common_2E
//
//  Created by liz on 2022/7/22.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN
typedef void (^BCIDAIdTokenGetInfoHandlerBlock)(NSString* code,id _Nonnull data);
typedef void (^BCIDAIdTokenVerifyHandlerBlock)(NSString* code,id _Nonnull data);
typedef void (^BCIDAIdTokenPublicUseHandlerBlock)(NSString* codeP,id _Nonnull dataP);
typedef void (^BCIDAIdTokenPublicJWHandlerBlock)(NSString* codeJ,id _Nonnull dataJ);



@interface BCIDAIDTokenManager : NSObject
+ (instancetype )sharedInstance ;

-(void)verifySignWithIdToken:(NSString*)idToken andWithCallBack:(BCIDAIdTokenVerifyHandlerBlock)callback;
-(void)getUserInfoFromIdTokenWithIdToken:(NSString*)idToken andWithCallBack:(BCIDAIdTokenGetInfoHandlerBlock)callback;
@end

NS_ASSUME_NONNULL_END
