//
//  JSONModel+networking.h
//  JSONModel
//

#import "BCIDAJSONModel.h"
#import "BCIDAJSONHTTPClient.h"

typedef void (^bcJSONModelBlock)(id model, BCIDAJSONModelError *err) DEPRECATED_ATTRIBUTE;

@interface BCIDAJSONModel (Networking)

@property (assign, nonatomic) BOOL bcidaisLoading DEPRECATED_ATTRIBUTE;
- (instancetype)initFromURLWithString:(NSString *)urlString completion:(bcJSONModelBlock)completeBlock DEPRECATED_ATTRIBUTE;
+ (void)getModelFromURLWithString:(NSString *)urlString completion:(bcJSONModelBlock)completeBlock DEPRECATED_ATTRIBUTE;
+ (void)postModel:(BCIDAJSONModel *)post toURLWithString:(NSString *)urlString completion:(bcJSONModelBlock)completeBlock DEPRECATED_ATTRIBUTE;

@end
