//
//  BCIDAConstUtils.h
//  OneAccess2C_realAuth
//
//  Created by 栗子小西 on 2021/7/23.
//  Copyright © 2021 栗子小西. All rights reserved.
//

#ifndef BCIDAConstUtils_h
#define BCIDAConstUtils_h




typedef void (^BCIDASuccessHandler)(NSString * _Nonnull code,id data);
typedef void (^BCIDAFailHandler)(NSString * _Nonnull code,NSString* errorMessage);

typedef void (^BCIDAHttpHeadAddRSAExcryptCallBack)(NSString* code,NSString* valueStr);
typedef void (^BCIDALoginVerifyCallBackHandler)(NSString * _Nonnull code,id data);//二次认证跳转时候，将各个模块的回调函数托管到这个common里的



/**
 * 宏定义16进制颜色代码带alpha
透明度 # 用 0x 代替
 */
#define BCRGBAColor(rgbValue, alphaValue) [UIColor colorWithRed:((float)((rgbValue & 0xFF0000) >> 16))/255.0 green:((float)((rgbValue & 0x00FF00) >> 8))/255.0 blue:((float)(rgbValue & 0x0000FF))/255.0 alpha:alphaValue]



#endif /* BCIDAConstUtils_h */
