//
//  BCIDAHttpUtilManager2.h
//  AuthnCenter_common_2E
//
//  Created by liz on 2022/12/1.
//  Copyright © 2022 栗子小西. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "BCIDAConstUtils.h"


#import "BCIDAAFURLRequestSerialization.h"
#import "BCIDAAFURLResponseSerialization.h"
#import "BCIDAAFSecurityPolicy.h"

#import "BCIDAAFNetworkReachabilityManager.h"

#import "BCIDAAFURLSessionManager.h"
#import "BCIDAAFHTTPSessionManager.h"

NS_ASSUME_NONNULL_BEGIN

@interface BCIDAHttpUtilManager2 : NSObject

+(void)getMethodUsingPublicRequestHeaderWithUrl:(NSString*)url andWithParameterAddToBodyDic:(NSDictionary*)parameter andHeadExtraParam:(NSDictionary*)headExtraParam andWithSuccessResponse:(BCIDARequestSuccessBlock) requestSuccessBlock andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;

+(void)postMethodUsingPublicRequestHeaderWithUrl:(NSString*)url andWithParameterAddToBodyDic:(NSDictionary*)parameter andHeadExtraParam:(NSDictionary*)headExtraParam andWithSuccessResponse:(BCIDARequestSuccessBlock) requestSuccessBlock andFailResponse:(BCIDARequestErrorWithDataBlock)requestErrorBlock;

+(void)setFormData:(NSDictionary *)formData withRequest:(NSMutableURLRequest *)request;
+(NSInteger)showResponseCode:(NSURLResponse *)response;
+(void)getUserAgents;
+(NSString*)getCurrentLanguage;
+(NSMutableURLRequest*)addToRequestBodyWithSessionManager:(BCIDAAFHTTPSessionManager*)manager andWithMethod:(NSString*)method andWithUrl:(NSString*)url andWithBodyDic:(NSDictionary*)bodyDic andWithExtraHeadDic:(NSDictionary*)headExtrDic;

@end

NS_ASSUME_NONNULL_END
