//
//  BCIDAMASCompositeConstraint.h
//  Masonry
//
//  Created by Jonas Budelmann on 21/07/13.
//  Copyright (c) 2013 cloudling. All rights reserved.
//

#import "BCIDAMASConstraint.h"
#import "BCIDAMASUtilities.h"

/**
 *	A group of BCIDAMASConstraint objects
 */
@interface BCIDAMASCompositeConstraint : BCIDAMASConstraint

/**
 *	Creates a composite with a predefined array of children
 *
 *	@param	children	child BCIDAMASConstraints
 *
 *	@return	a composite constraint
 */
- (id)initWithChildren:(NSArray *)children;

@end
